الحصول على تكوين الفواتير
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"country_verified": true,
"country_review_required": true,
"pricing_region": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}الفوترة
الحصول على تكوين الفواتير
يعرض مزود الدفع الفعال والخطة الحالية للمستأجر الموثق.
GET
/
v1
/
billing
/
config
الحصول على تكوين الفواتير
curl --request GET \
--url https://api.truthlocks.com/v1/billing/config \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/billing/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/billing/config"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/billing/config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"country_code": "<string>",
"country_verified": true,
"country_review_required": true,
"pricing_region": "<string>",
"effective_provider": "<string>",
"visible_providers": [
"<string>"
],
"current_plan": "<string>"
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}GET /v1/billing/config
الاستجابة
تحدد دولة الحساب المسجل التسعير الإقليمي وخيارات المزود. معلمة استعلامcountry لا تتجاوز ذلك. تعتمد خيارات المزود على البلد والتكوين؛ يتطلب إتمام الاشتراك أيضًا تكوين الخطة المتكررة للمزود.
راجع توجيه المزود لقيود التحقق والدفع.
